# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'epiphyte/version'

Gem::Specification.new do |spec|
  spec.name          = "epiphyte"
  spec.version       = Epiphyte::VERSION
  spec.authors       = ["Tony Arcieri"]
  spec.email         = ["tonyarcieri@squareup.com"]
  spec.description   = "Immutable configuration management for disposable infrastructures"
  spec.summary       = "Configuration management for virtual machines intended to be thrown away"
  spec.homepage      = "https://github.com/tarcieri/epiphyte/"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
